Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 512888 (CVE-2014-0531)

Summary: <www-plugins/adobe-flash-11.2.202.378 - multiple vulnerabilities (CVE-2014-{0531,0532,0533,0534,0535,0536})
Product: Gentoo Security Reporter: Jeroen Roovers <jer>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: desktop-misc
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://helpx.adobe.com/security/products/flash-player/apsb14-16.html
Whiteboard: A2 [glsa]
Package list:
Runtime testing required: ---

Description Jeroen Roovers gentoo-dev 2014-06-10 13:50:22 UTC
No security bulletin yet, but I'm sure it's due some time today.
Comment 1 Jeroen Roovers gentoo-dev 2014-06-10 15:26:11 UTC
Arch teams, please test and mark stable:
=www-plugins/adobe-flash-11.2.202.378
Targeted stable KEYWORDS : amd64 x86
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-06-10 21:20:30 UTC
amd64/x86 stable, glsa request filed.

Cleanup, please!
Comment 3 Sergey Popov gentoo-dev Security 2014-06-11 09:02:16 UTC
Cleanup was done by Jeroen Roovers
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2014-06-16 21:39:39 UTC
CVE-2014-0536 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0536):
  Adobe Flash Player before 13.0.0.223 and 14.x before 14.0.0.125 on Windows
  and OS X and before 11.2.202.378 on Linux, Adobe AIR before 14.0.0.110,
  Adobe AIR SDK before 14.0.0.110, and Adobe AIR SDK & Compiler before
  14.0.0.110 allow attackers to execute arbitrary code or cause a denial of
  service (memory corruption) via unspecified vectors.

CVE-2014-0535 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0535):
  Adobe Flash Player before 13.0.0.223 and 14.x before 14.0.0.125 on Windows
  and OS X and before 11.2.202.378 on Linux, Adobe AIR before 14.0.0.110,
  Adobe AIR SDK before 14.0.0.110, and Adobe AIR SDK & Compiler before
  14.0.0.110 allow attackers to bypass intended access restrictions via
  unspecified vectors, a different vulnerability than CVE-2014-0534.

CVE-2014-0534 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0534):
  Adobe Flash Player before 13.0.0.223 and 14.x before 14.0.0.125 on Windows
  and OS X and before 11.2.202.378 on Linux, Adobe AIR before 14.0.0.110,
  Adobe AIR SDK before 14.0.0.110, and Adobe AIR SDK & Compiler before
  14.0.0.110 allow attackers to bypass intended access restrictions via
  unspecified vectors, a different vulnerability than CVE-2014-0535.

CVE-2014-0533 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0533):
  Cross-site scripting (XSS) vulnerability in Adobe Flash Player before
  13.0.0.223 and 14.x before 14.0.0.125 on Windows and OS X and before
  11.2.202.378 on Linux, Adobe AIR before 14.0.0.110, Adobe AIR SDK before
  14.0.0.110, and Adobe AIR SDK & Compiler before 14.0.0.110 allows remote
  attackers to inject arbitrary web script or HTML via unspecified vectors, a
  different vulnerability than CVE-2014-0531 and CVE-2014-0532.

CVE-2014-0532 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0532):
  Cross-site scripting (XSS) vulnerability in Adobe Flash Player before
  13.0.0.223 and 14.x before 14.0.0.125 on Windows and OS X and before
  11.2.202.378 on Linux, Adobe AIR before 14.0.0.110, Adobe AIR SDK before
  14.0.0.110, and Adobe AIR SDK & Compiler before 14.0.0.110 allows remote
  attackers to inject arbitrary web script or HTML via unspecified vectors, a
  different vulnerability than CVE-2014-0531 and CVE-2014-0533.

CVE-2014-0531 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0531):
  Cross-site scripting (XSS) vulnerability in Adobe Flash Player before
  13.0.0.223 and 14.x before 14.0.0.125 on Windows and OS X and before
  11.2.202.378 on Linux, Adobe AIR before 14.0.0.110, Adobe AIR SDK before
  14.0.0.110, and Adobe AIR SDK & Compiler before 14.0.0.110 allows remote
  attackers to inject arbitrary web script or HTML via unspecified vectors, a
  different vulnerability than CVE-2014-0532 and CVE-2014-0533.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2014-06-17 06:12:43 UTC
This issue was resolved and addressed in
 GLSA 201406-17 at http://security.gentoo.org/glsa/glsa-201406-17.xml
by GLSA coordinator Sergey Popov (pinkbyte).